---

- hosts:
    - desktops
    - laptops
  remote_user: root
  pre_tasks:
    - name: ensure acpi tool is installed
      apt:
        pkg: acpi
    - name: ensure host is on AC power
      command: acpi -a
      register: _acpi_ac_adapter
      failed_when: '"off-line" in _acpi_ac_adapter.stdout'
      changed_when: false
  roles:
    - name: display_manager
      display_manager_state: maintenance
      display_manager_maintenance_text: Konfigurationen werden angewendet und Programme werden installiert – bitte nicht abschalten!
      display_manager_maintenance_icon: alacarte
    - name: common
    - name: users
    - name: desktop
    - name: desktop_bugfixes
    - name: custom_desktop_apps
    - name: backgrounds
    - name: fonts
